%global git_date  20250208
%global git_hash  175c6b2
%global git_ver  0.1.2
%global rel  2
%global src_name  %{name}-%{git_date}-%{git_hash}.tar.xz

Name:     hyprgraphics
Version:  %{git_ver}^%{git_date}g%{git_hash}
Release:  %{rel}%{?dist}
Summary:  Hyprland graphics / resource utilities 
License:  BSD-3-Clause
URL:      https://github.com/hyprwm/hyprgraphics
Source:	  %{url}/%{src_name}

BuildRequires:  cmake make gcc-c++
BuildRequires:  pkgconfig(pixman-1)
BuildRequires:  pkgconfig(cairo)
BuildRequires:  pkgconfig(hyprutils)
BuildRequires:  pkgconfig(libjpeg)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(libjxl)
BuildRequires:  pkgconfig(libmagic)
BuildRequires:  pkgconfig(libwebp)
BuildRequires:  libspng-devel


%description
Hyprgraphics is a small C++ library with graphics / resource related utilities used across the hypr* ecosystem.


%package devel
Summary:  Development files for %{name}
Requires: %{name}%{?_isa} = %{version}-%{release}

%description devel
Development files for %{name}


%prep
%autosetup -n %{name}


%build
%cmake
%cmake_build


%install
%cmake_install


%files
%doc README.md
%license LICENSE
%{_libdir}/lib%{name}.so.*

%files devel
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/lib%{name}.so
%{_includedir}/*

%changelog
%autochangelog
